package org.orbstudio.popup.actions.factory;

/**
 * Abstract factory declares an interface for operations that create abstract
 * product objects.
 * 
 * @role __Factory
 */
public interface IORBFactory {
	/**
	 * @link
	 * @shapeType PatternLink
	 * @pattern gof.AbstractFactory
	 * @supplierRole Abstract Product
	 */
	/* # private IDL lnkIDL; */
	IORB createORB();
}
