package org.orbstudio.popup.actions.factory;

/**
 * Concrete Factory implements operations of AbstractFactory to create Concrete
 * product objects.
 */
public class VisiBrokerFactory implements IORBFactory {
	/**
	 * @link
	 * @shapeType PatternLink
	 * @pattern gof.AbstractFactory
	 * @supplierRole Concrete Product
	 */
	/* # private IDLImpl3 lnkIDLImpl3; */
	/**
	 * @link
	 * @shapeType PatternLink
	 * @pattern gof.AbstractFactory
	 * @supplierRole Concrete Product
	 */
	/* # private IDLImpl2 lnkIDLImpl2; */
	public IORB createORB() {
		return new VisiBrokerIDLImpl();
	}
}
