package org.orbstudio.editors;

import org.eclipse.jface.text.rules.BufferedRuleBasedScanner;
import org.eclipse.jface.text.rules.IToken;
import org.orbstudio.common.AppKeys;

public class CommentScanner extends BufferedRuleBasedScanner {
	/**
	 * Constructor
	 * 
	 * @param colorManager
	 */
	public CommentScanner(IDLColorManager colorManager) {
		IToken commentToken = colorManager.getToken(AppKeys.P_COMMENTCOLOR);
		setDefaultReturnToken(commentToken);
	}
}
