package org.orbstudio.editors;

import org.eclipse.jface.text.rules.BufferedRuleBasedScanner;
import org.eclipse.jface.text.rules.IToken;
import org.orbstudio.common.AppKeys;

public class SingleTokenScanner extends BufferedRuleBasedScanner {
	/**
	 * SingleTokenScanner()
	 * 
	 * @param colorManager
	 */
	public SingleTokenScanner(IDLColorManager colorManager) {
		IToken token = colorManager.getToken(AppKeys.P_LITERALCOLOR);
		setDefaultReturnToken(token);
	}
}
